from django.forms.widgets import Select
from main.forms import NummiForm

from .models import Category


class CategoryForm(NummiForm):
    class Meta:
        model = Category
        fields = [
            "name",
            "icon",
            "budget",
        ]


class CategorySelect(Select):
    template_name = "category/forms/widgets/category.html"
